Scilab Function
Last update : 16/6/2004

inttype - type des entiers utilisés dans les types entiers de données.

### Calling Sequence

  `[i]=inttype(x)`

### Parameters

- `x` : matrice d'entiers (voir int8)
- `i` : un entier

### Description

renvoie un entier donnant le type de données stockées dans `x` avec la convention suivante :

1 : codage entier à 1 octet

2 : codage entier à 2 octets

4 : codage entier à 4 octets

11 : codage entier non-signé à 1 octet

12 : codage entier non-signé à 2 octets

14 : codage entier non-signé à 4 octets

### Examples

    x=uint16(1:10);
    inttype(x)

### See Also

`int8`,